/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_ICMP_H
#define _GPXE_ICMP_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/** @file
 *
 * ICMP protocol
 *
 */

#include <gpxe/ip.h>

#define ICMP_ECHOREPLY	0
#define ICMP_ECHO	8

struct icmp_header {
	uint8_t type;
	uint8_t code;
	uint16_t csum;
	/* Message body */
};

struct icmp_echo {
	uint8_t type;
	uint8_t code;
	uint16_t csum;
	uint16_t identifier;
	uint16_t seq;
	uint32_t data;
};

#endif /* _GPXE_ICMP_H */
