/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_RAMDISK_H
#define _GPXE_RAMDISK_H

/**
 * @file
 *
 * RAM disks
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/uaccess.h>
#include <gpxe/blockdev.h>

struct ramdisk {
	struct block_device blockdev;
	userptr_t data;
};

extern int init_ramdisk ( struct ramdisk *ramdisk, userptr_t data, size_t len,
			  unsigned int blksize );

#endif /* _GPXE_RAMDISK_H */
