/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _SYS_TIME_H
#define _SYS_TIME_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <time.h>

typedef unsigned long suseconds_t;

struct timeval {
	time_t tv_sec;		/* seconds */
	suseconds_t tv_usec;	/* microseconds */
};

struct timezone {
	int tz_minuteswest;	/* minutes W of Greenwich */
	int tz_dsttime;		/* type of dst correction */
};

extern int gettimeofday ( struct timeval *tv, struct timezone *tz );

#endif /* _SYS_TIME_H */
