/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef SYS_INFO_H
#define SYS_INFO_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/* Information collected from firmware/bootloader */

struct sys_info {
    /* Values passed by bootloader */
    unsigned long boot_type;
    unsigned long boot_data;
    unsigned long boot_arg;

    char *firmware; /* "PCBIOS", "LinuxBIOS", etc. */
    char *command_line; /* command line given to us */
#if 0
//By LYH
//Will use meminfo in Etherboot 
    /* memory map */
    int n_memranges;
    struct memrange {
	unsigned long long base;
	unsigned long long size;
    } *memrange;
#endif
};

void collect_sys_info(struct sys_info *info);
void collect_elfboot_info(struct sys_info *info);
void collect_linuxbios_info(struct sys_info *info);

/* Our name and version. I want to see single instance of these in the image */
extern const char *program_name, *program_version;

#endif /* SYS_INFO_H */
